<?php

/**
 * This file is part of ILIAS, a powerful learning management system
 * published by ILIAS open source e-Learning e.V.
 *
 * ILIAS is licensed with the GPL-3.0,
 * see https://www.gnu.org/licenses/gpl-3.0.en.html
 * You should have received a copy of said license along with the
 * source code, too.
 *
 * If this is not the case or you just want to try ILIAS, you'll find
 * us at:
 * https://www.ilias.de
 * https://github.com/ILIAS-eLearning
 *
 *********************************************************************/

declare(strict_types=1);

/**
 * Manual Assessment importer class
 */
class ilIndividualAssessmentImporter extends ilXmlImporter
{
    protected ilIndividualAssessmentDataSet $ds;

    public function init(): void
    {
        $this->ds = new ilIndividualAssessmentDataSet();
        $this->ds->setImportDirectory($this->getImportDirectory());
        $this->ds->setDSPrefix("ds");
    }

    /**
     * Import xml representation
     */
    public function importXmlRepresentation(
        string $a_entity,
        string $a_id,
        string $a_xml,
        ilImportMapping $a_mapping
    ): void {
        new ilDataSetImportParser($a_entity, $this->getSchemaVersion(), $a_xml, $this->ds, $a_mapping);
    }
}
