<?php

/**
 * This file is part of ILIAS, a powerful learning management system
 * published by ILIAS open source e-Learning e.V.
 *
 * ILIAS is licensed with the GPL-3.0,
 * see https://www.gnu.org/licenses/gpl-3.0.en.html
 * You should have received a copy of said license along with the
 * source code, too.
 *
 * If this is not the case or you just want to try ILIAS, you'll find
 * us at:
 * https://www.ilias.de
 * https://github.com/ILIAS-eLearning
 *
 *********************************************************************/

declare(strict_types=1);

use Monolog\Formatter\LineFormatter as LineFormatter;

/**
 * Custom line formatter
 *
 * @author Alex Killing <alex.killing@gmx.de>
 * @ingroup ServicesLogging
 */
class ilLineFormatter extends LineFormatter
{
    /**
     * @inheritDoc
     */
    public function format(array $record): string
    {
        if (isset($record["extra"]["trace"])) {
            $record["message"] = $record["extra"]["trace"] . " " . $record["message"];
            $record["extra"] = array();
        }

        $record['context'] = [];

        return parent::format($record);
    }
}
